<?php
	// requiere camara.
	// (gatillado por el cierre del dumper)
	// dar el suceso de finalizado por hecho.
	// tomar los sucesos no hechos y agregarlos al historial.
	// eliminar todos los procesos. La fumigacion ya no existe asi que los sucesos deben ser borrados, hechos o no hechos.
	// marcar fumigacion como hecha.
	// y cambia esado de la camara.
	// por ultimo mostrar pantalla del fin de suceso (y un link para ver el reporte)	
	require_once("configuracion.php");
	conexion();
	include("init_array.php");
	include("lectura.php");
	$rfecha=$fechaactual;
	// dar el suceso de finalizado por hecho.
	$sql = "update fum_pendientes set done=1,fecha=$fechaactual where fumigacion=$fumigacion and suceso=11 and done=0";
	$resultado = mssql_query($sql,$conn) or die("No puede escribir fum_pendientes");
	// y el suceso de fin de fumigacion
	$sql = "update fum_pendientes set done=1 where fumigacion=$fumigacion and suceso=18 and done=0";
	$resultado = mssql_query($sql,$conn) or die("No puede escribir fum_pendientes");
	
	/*$sql = "update fum_pendientes set done=1,fecha=$fechaactual where fumigacion=$fumigacion and suceso=18 and done=0";
	$resultado = mssql_query($sql,$conn) or die("No puede escribir fum_pendientes");	
	*/
	// debido a que este registro se muestra en la tabla de lecturas, es necesario finalizarlo y enviarlo directamente al historial
	$rfecha=$fechaactual+1;
	$peso=0;
	$errorid=100+22; 			// fin del proceso.
	$duplicar=1;
	include("agregarhistorial.php");	
	
	
	//elimina los procesos futuros (si es que se cancelo la fumigacion
	$sql="delete  from fum_pendientes where fumigacion=$fumigacion and fecha>$rfecha";
	$resultado = mssql_query($sql,$conn) or die("No puede borrar fum_pendientes");		
	
	// tomar los sucesos no hechos y agregarlos al historial como incompletos.
	mssql_free_result($resultado);
	$filas=0;
	$sql="select * from fum_pendientes where fumigacion=$fumigacion and done!=1";
	$resultado2 = mssql_query($sql,$conn) or die("No puede leer planta");	
	$filas2 = rows_affected();
	if ($filas2!=0) {
		for ($i=0;$i<$filas2;$i++) {
			$suceso = mssql_result($resultado2, $i, "suceso");
			$fecha = mssql_result($resultado2, $i, "fecha");			
			$rfecha=$fecha;
			$peso=0;
			foreach($analogos as $tmp){
				$temperatura[$tmp]=0;
			}			
			foreach($digitales as $tmp){
				$digital[$tmp]=0;
			}
			foreach($concentraciones as $tmp){
				$medida[$tmp]=0;
			}				
			$errorid=200+$suceso; 			// no registrado.
			$duplicar=1;
			include("agregarhistorial.php");	
		}
	}


	
	// tomar los sucesos  hechos y agregarlos al historial como done (dependiendo del hecho.
	$filas=0;
	$sql="select * from fum_pendientes where fumigacion=$fumigacion and done=1";
	$resultado2 = mssql_query($sql,$conn) or die("No puede leer planta");	
	$filas2 = rows_affected();
	if ($filas2!=0) {
		for ($i=0;$i<$filas2;$i++) {
			$suceso = mssql_result($resultado2, $i, "suceso");
			$fecha = mssql_result($resultado2, $i, "fecha");
			$rfecha=$fecha;
			$peso=0;
			foreach($analogos as $tmp){
				$temperatura[$tmp]=0;
			}			
			foreach($digitales as $tmp){
				$digital[$tmp]=0;
			}
			foreach($concentraciones as $tmp){
				$medida[$tmp]=0;
			}				
			$errorid=100+$suceso; 			//  registrado.
			$duplicar=1;
			include("agregarhistorial.php");	
		}
	}
	/*
	$rfecha=$fechaactual;
	$peso=0;
	$errorid=18; // final proceso
	include("agregarhistorial.php");		
	*/

	// eliminar todos los procesos pendientes. La fumigacion ya no existe asi que los sucesos deben ser borrados, hechos o no hechos.
	$sql="delete  from fum_pendientes where fumigacion= $fumigacion";
	$resultado = mssql_query($sql,$conn) or die("No puede borrar fum_pendientes");	
	
	// elimina todas las leyendas del grafico	
	$tmp5=($camara*50)-49;
	$tmp6=($camara*50);
	$sql="update fum_temperaturas set leyenda=' ' where id>=$tmp5 and id<=$tmp6";
	$resultado = mssql_query($sql,$conn) or die("No puede borrar fum_pendientes");	
	// marcar fumigacion como hecha.
	$estadofumigacion=0;
	include("cambioestadofumigacion.php");
	
	// y cambia estado de la camara.
?>